<x-app-layout>
    <!-- The form for posting a file -->
    <div class="max-w-2xl mx-auto p-4 sm:p-6 lg:p-8 ">
        <form method="GET" action="{{ route('files.download', $file->id) }}" enctype="multipart/form-data">
            @csrf
            <p class="text-gray-800 font-semibold">{{ $file->name }}</p>
            <label for="myfile">Select a folder where you want to download the file:</label><br>
            <input type="text" name="myfolder" /><br>
            <x-input-error :messages="$errors->get('myfolder')" class="mt-2" />
            <div class="mt-8">
                <!-- Download button -->
                <x-primary-button>{{ __('Download') }}</x-primary-button>
            </div>
        </form>
    </div>
</x-app-layout>