<a href="{{ URL::to(route('files.show', $file)) }}">
    <div class="mt-6 bg-white shadow-sm rounded-lg divide-y items-center inline-flex px-10 py-2 border border-transparent font-semibold tracking-widest hover:bg-gray-300 focus:bg-gray-500 active:bg-gray-500 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2 transition ease-in-out duration-150">
        <div class="flex-1">
            <div class="justify-between items-center">
                <div class="space-x-2">
                    <p class="text-gray-800">{{ $file->name }}</p>
                </div>
                <div>
                    <h2 class="text-sm text-gray-600">{{ $file->creator->name }}</h2>
                </div>
                <div>
                    <h2 class="text-sm text-gray-600">{{ $file->created_at->format('j M Y, g:i a') }}</h2>
                </div>
            </div>
        </div>
    </div>
</a>